Jobs
Get job results
Will return partial results while job is still processing. Only returns the latest version of each image (image_index, group_index).
For identity_preprocessing jobs, returns information about the processed identity rather than image results (since identity processing doesn't create ImageResult records).
AuthorizationBearer <token>
Token-based authentication using access tokens.
In: header
Path Parameters
job_idstring
Response Body
Examples
curl -X GET "https://v2.api.piktid.com/jobs/string/results"{
"should_post_process": true,
"post_processing_status": "string",
"post_processing_error": null,
"error_message": "string",
"total_images": 0,
"processed_images": 0,
"created_at": "string",
"updated_at": "string",
"job_id": "string",
"job_type": "string",
"status": "string",
"identity_code": "string",
"identity_name": "string",
"project_id": 0,
"project_text": "string",
"project_key": "string",
"progress": 0,
"processing_options": null,
"results": [
{
"job_id": "string",
"image_index": 0,
"group_index": 0,
"version": 0,
"original_filename": "string",
"download_filename": null,
"inputs": [
{
"full_size": null,
"thumbnail": null
}
],
"output": {
"full_size": null,
"thumbnail": null
},
"input_description": {},
"status": "string",
"quality_score": 0,
"processing_time": 0,
"error_message": "string",
"feedback": "like",
"feedback_comment": "string",
"created_at": "string"
}
],
"summary": {
"total_images": 0,
"successful": 0,
"failed": 0,
"average_quality_score": 0,
"success_rate": 0
},
"credits_used": null
}{
"error": "Invalid request",
"detail": [
{
"field": null,
"message": "string",
"position": "query"
}
]
}Empty